---
title: About Ente
description: >
    An overview of Ente: the company, and the people behind it, and the products
    that we make.
---

# About

Ente is a end-to-end encrypted platform for privately, reliably, and securely
storing your data on the cloud. On top of this platform, Ente offers two
products:

- **Ente Photos** - An alternative to Google Photos and Apple Photos

- **Ente Auth** - A free 2FA alternative to Authy

Both these apps are available for all desktop (Linux, Mac, Windows) and mobile
(Android, iOS and F-Droid) platforms. They also work directly in your web
browser without you needing to install anything.

More products are in the pipeline.

## History

Ente was the founded by Vishnu Mohandas (he's also Ente's CEO) in response to
privacy concerns with major tech companies. The underlying motivation was the
understanding that big tech had no incentive to fix their act, but with
end-to-end encrypted cross platform apps, there was a way for people to take
back control over their own data without sacrificing on features.

### What does Ente mean?

In Malayalam, Vishnu's native language, "ente" means "mine". Thus "Ente Photos"
has the literal meaning "my photos".

This was a good name, but still Vishnu looked around for better ones. But one
day, he discovered that "ente" means "duck" in German. This unexpected
connection sealed the deal. We should ask him why he likes ducks so much, but
apparently he does, so this dual meaning ("mine" / "duck") led him to finalize
the name, and also led to the adoption of "Ducky", Ente's mascot:

<div align="center">

![Ente's mascot, Ducky](ducky.png){width=200px}

</div>

For the full origin story of Ducky you can check out
[this blog post](https://ente.io/blog/ducky/).

### How do I pronounce Ente?

en-_tay_. Like ca<i>fe</i>.

## Get in touch

If you have a support query that is not answered by these docs, please reach out
to our Customer Support by sending an email to support@ente.io

To stay up to date with new product launches, and behind the scenes details of
how we're building Ente, you can read our [blog](https://ente.io/blog) (or
subscribe to it via [RSS](https://ente.io/blog/rss.xml))

To suggest new features and/or offer your perspective on how we should design
planned and upcoming features, use our
[GitHub discussions](https://github.com/ente-io/ente/discussions)

Or if you'd just like to hang out, join our
[Discord](https://discord.gg/z2YVKkycX3), follow us on
[Twitter](https://twitter.com/enteio) or give us a shout out on
[Mastodon](https://mstdn.social/@ente)
